function _FormDin(sUrl) {
	var linkForm = document.createElement("form");
	
	$linkForm = $(linkForm);
	$linkForm.attr("action", sUrl);
	$linkForm.attr("method", "post");
	var thisDate = new Date();
	$linkForm.attr("id",'From_'+thisDate);
	$linkForm.attr({'target':'_blank'});
	$('body').append($linkForm);
	$linkForm.submit();
}

$(document).ready(function(){
	$('#btnBuscar').attr('disabled',true);
			
	$(document).on('submit','#frmBuscar',function(event){
		event.preventDefault();
		var oForm = $(this);
		var sJsonPram = _JsonSerialize(oForm);
		var sHtml = '';
		
		$.ajax({
			headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' },
			type: oForm.attr('method'),
			url: oForm.attr('action'),
			data: sJsonPram,
			dataType: "json",
			dataSrc: "",
			beforeSend: function() {
				grecaptcha.reset();
				$('#html_element').addClass('disabled-captcha');
				$('#btnBuscar').attr('disabled',true);
				$('#txtCriterio').val('');
				$('#WindowLoad').show();
			},
			success: function (result, status, xhr) {
				switch (status) {
					case 'success':
						if (window.matchMedia("(max-width: 767px)").matches) {
							$('.tblFuncionarios').html('');
							$.each(result.funcionarios, function(i,item){
								sHtml = sHtml + '<div class="row">';
								sHtml = sHtml + '<div class="col-md-12"><a href="javascript:void(0);" data-crup="'+item.curp+'" data-iddependencia="'+item.idDependencia+'" data-nombre="'+item.nombre+'" role="lnkDecla">'+item.nombre+'</a></div>';
								sHtml = sHtml + '<div class="col-md-12">'+item.dependencia+'</div>';
								sHtml = sHtml + '</div>';
								sHtml = sHtml + '<hr>';
							});
							console.log("This is a mobile device.");
						} else {
							$('.tblFuncionarios').html('');
							sHtml = sHtml + '<table class="table table-hover">';
							sHtml = sHtml + '<thead><tr>';
							sHtml = sHtml + '<th width="40%" class="text-left">Nombre</th>';
							sHtml = sHtml + '<th width="60%" class="text-left">Dependencia</th>';
							sHtml = sHtml + '</tr></thead><tbody>';
							$.each(result.funcionarios, function(i,item){
								sHtml = sHtml + '<tr>';
								sHtml = sHtml + '<td class="text-left"><a href="javascript:void(0);" data-crup="'+item.curp+'" data-iddependencia="'+item.idDependencia+'" data-nombre="'+item.nombre+'" role="lnkDecla">'+item.nombre+'</a></td>';
								sHtml = sHtml + '<td class="text-left">'+item.dependencia+'</td>';
								sHtml = sHtml + '</tr>';
							});
							sHtml = sHtml + '</tbody></table>';
							$('.tblFuncionarios').html(sHtml);
							console.log("This is a tablet or desktop.");
						}
						$('.tblFuncionarios').html(sHtml);
						$('.tblFuncionarios').show();
						$('#WindowLoad').hide();
						break;
					default:
						$.notify('¡¡¡Atención!!! Registro NO editado...', {style: 'bootstrap', globalPosition: 'top right', className: 'warn'});
						$('#WindowLoad').hide();
						break;
					}
				},
			error: function (xhr, status, error) {
				$.notify('¡¡¡Atención!!! Por el momento su solicitud no puede ser atendida...', {style: 'bootstrap', globalPosition: 'top right', className: 'error'});
				$('#WindowLoad').hide();
			}
		});
		        
		event.stopImmediatePropagation();
	});
			
	$(document).on('click','a[role=lnkDecla]',function(event){
		event.preventDefault();
		var sJsonPram = '{"curp": "'+$(this).data('crup')+'", "idDependencia": "'+$(this).data('iddependencia')+'", "nombre": "'+$(this).data('nombre')+'"}';
		var sHtml = '', sDepen = '';
		
		$.ajax({
			headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' },
			type: 'POST',
			url: 'http://fs.baja.gob.mx:8181/declaranet-publico/rest/buscar/getAllList',
			data: sJsonPram,
			dataType: "json",
			dataSrc: "",
			beforeSend: function() {
				$('#WindowLoad').show();
			},
			success: function (result, status, xhr) {
				switch (status) {
					case 'success':
						var oJsn = JSON.parse(JSON.stringify(result));
						$.post('declaraciones.html',function(data) {
							$('#sctBuscar').html(data);
							if (window.matchMedia("(max-width: 767px)").matches) {
								$.each(result.declaraciones, function(i,item){
									sDepen = '';
									$.each(item.enteCargoComision, function(i2,item2){
										if (sDepen.length == 0)
											sDepen = item2.dependencia;
										else
											sDepen = sDepen+'<br>'+item2.dependencia;
									});
									sHtml = sHtml + '<div class="row">';
									sHtml = sHtml + '<div class="col-md-12">'+sDepen+'</div>';
									sHtml = sHtml + '<div class="col-md-12">'+item.tipoDeclaracion+'&nbsp;'+item.anio+'</div>';
									sHtml = sHtml + '<div class="col-md-12">'+item.noComprobante+'</div>';
									sHtml = sHtml + '<div class="col-md-12">'+item.fechaRecepcion+'</div>';
									sHtml = sHtml + '<div class="col-md-12"><a href="javascript:void(0);" data-id="'+item.id+'" role="lnkPdfMob"><i class="fa fa-file-pdf-o" aria-hidden="true"style="font-size: 38px;"></i></a></div>';
									sHtml = sHtml + '</div>';
									sHtml = sHtml + '<hr>';
								});
							} else {
								sHtml = '<table class="table table-wrap table-striped table-hover">';
								sHtml = sHtml + '<thead><tr>';
								sHtml = sHtml + '<th width="20%">Dependencia</th>';
								sHtml = sHtml + '<th width="20%">Tipo de Declaraci&oacute;n</th>';
								sHtml = sHtml + '<th width="20%">N&uacute;mero de comprobante</th>';
								sHtml = sHtml + '<th width="20%">Fecha de presentaci&oacute;n</th>';
								sHtml = sHtml + '<th width="20%">Declaraci&oacute;n</th>';
								sHtml = sHtml + '</tr></thead><tbody>';
								$.each(result.declaraciones, function(i,item){
									sDepen = '';
									$.each(item.enteCargoComision, function(i2,item2){
										if (sDepen.length == 0)
											sDepen = item2.dependencia;
										else
											sDepen = sDepen+'<br>'+item2.dependencia;
									});
									sHtml = sHtml + '<tr>';
									sHtml = sHtml + '<td class="text-center" style="font-size: 12px;">'+sDepen+'</td>';
									sHtml = sHtml + '<td class="text-center" style="font-size: 15px;">'+item.tipoDeclaracion+'&nbsp;'+item.anio+'</td>';
									sHtml = sHtml + '<td class="text-center" style="font-size: 15px;">'+item.noComprobante+'</td>';
									sHtml = sHtml + '<td class="text-center" style="font-size: 15px;">'+item.fechaRecepcion+'</td>';
									sHtml = sHtml + '<td class="text-center"><a href="javascript:void(0);" data-id="'+item.id+'" role="lnkPdf"><i class="fa fa-file-pdf-o" aria-hidden="true"style="font-size: 38px;"></i></a></td>';
									sHtml = sHtml + '</tr>';
								});
								sHtml = sHtml + '</tbody></table>';
							}
							$('#hNombre').html(oJsn.nombre);
							$('#tblFuncionarios').html(sHtml);
						});
						$('#WindowLoad').hide();
						break;
					default:
						$.notify('¡¡¡Atención!!! Archivo NO localizado...', {style: 'bootstrap', globalPosition: 'top right', className: 'warn'});
						$('#WindowLoad').hide();
						break;
				}
			},
			error: function (xhr, status, error) {
				$.notify('¡¡¡Atención!!! Por el momento su solicitud no puede ser atendida...', {style: 'bootstrap', globalPosition: 'top right', className: 'error'});
				$('#WindowLoad').hide();
			}
		});
			
		event.stopImmediatePropagation();
	});
	
	$(document).on('click','a[role=lnkPdf]',function(event){
		event.preventDefault();
		var sJsonPram = '{"claveDeclaracion": "'+$(this).data('id')+'"}';
		var sHtml = '';
		
		$.ajax({
			headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' },
			type: 'POST',
			url: 'http://fs.baja.gob.mx:8181/declaranet-publico/rest/pdf/getId',
			data: sJsonPram,
			dataType: "json",
			dataSrc: "",
			beforeSend: function() {
				$('#WindowLoad').show();
			},
			success: function (result, status, xhr) {
				switch (status) {
					case 'success':
						var oJsn = JSON.parse(JSON.stringify(result));
						$('.modal-body').html('<embed id="pdfDecla" src="'+oJsn.declaracionUrl+'" type="application/pdf" width="100%" height="500px"/>');
						$('#myModal').modal('show');
						$('#WindowLoad').hide();
						break;
					default:
						$.notify('¡¡¡Atenci�n!!! Registro NO editado...', {style: 'bootstrap', globalPosition: 'top right', className: 'warn'});
						$('#WindowLoad').hide();
						break;
				}
			},
			error: function (xhr, status, error) {
				$.notify('¡¡¡Atención!!! Por el momento su solicitud no puede ser atendida...', {style: 'bootstrap', globalPosition: 'top right', className: 'error'});
				$('#WindowLoad').hide();
			}
		});
		
		event.stopImmediatePropagation();
	});
	
	$(document).on('click','a[role=lnkPdfMob]',function(event){
		var sJsonPram = '{"claveDeclaracion": "'+$(this).data('id')+'"}';
		var sHtml = '';
		
		$.ajax({
			headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' },
			type: 'POST',
			url: 'http://fs.baja.gob.mx:8181/declaranet-publico/rest/pdf/getId',
			data: sJsonPram,
			dataType: "json",
			dataSrc: "",
			beforeSend: function() {
				$('#WindowLoad').show();
			},
			success: function (result, status, xhr) {
				switch (status) {
					case 'success':
						var oJsn = JSON.parse(JSON.stringify(result));
						var link = document.createElement("form");
						$link = $(link);
						$link.attr("action", oJsn.declaracionUrl);
						$link.attr("method", "post");
						var thisDate = new Date();
						$link.attr("id",'From_'+thisDate);
						$link.attr({'target':'_blank'});
						$('body').append($link);
						$link.submit();
						$('#WindowLoad').hide();
						break;
					default:
						$.notify('¡¡¡Atenci�n!!! Registro NO editado...', {style: 'bootstrap', globalPosition: 'top right', className: 'warn'});
						$('#WindowLoad').hide();
						break;
				}
			},
			error: function (xhr, status, error) {
				$.notify('¡¡¡Atención!!! Por el momento su solicitud no puede ser atendida...', {style: 'bootstrap', globalPosition: 'top right', className: 'error'});
				$('#WindowLoad').hide();
			}
		});
		
		event.stopImmediatePropagation();
	});
	
	$('#txtCriterio').keyup(function(event){
		if ($(this).val().length >= 10) {
			$('#html_element').removeClass('disabled-captcha');
		} else {
			$('#html_element').addClass('disabled-captcha');
			$('#btnBuscar').attr('disabled',true);
		}
		event.stopImmediatePropagation();
	});
	
	$(document).on('blur','#txtCriterio',function(event){
		if ($(this).val().length >= 10) {
			$('#html_element').removeClass('disabled-captcha');
		} else {
			$('#html_element').addClass('disabled-captcha');
			$('#btnBuscar').attr('disabled',true);
		}
		event.stopImmediatePropagation();
	});
	
	$(document).on('click','#btnNvaBus',function(){
		location.reload();
	});    
			
});